<style>
	.tdAcciones{
		width:70px !important;
	}

textarea{
resize:none;

}

</style>	
<div>
	<form id="MSCAVE01011"> 
		<!--<input type="hidden" class="date" name="date" id="date"/> -->
		<input type="hidden" class="money" name="money" id="money"/>
		<hr>
		
		<br/>
		
			<div class="panel-body">
				<div class="panel panel-primary" style="padding:0px;margin:0px;">
				<div class="panel-heading" style="padding-top:5px; text-align:left;">
					<label  data-parent="#contenedor"  style="color:white; text-align:center;">Alta de Cliente de Riesgo</label>
				</div>
				<div id="AltaCliente" class="panel-collapse collapse in">
				<div class="panel-body">
					<table class="tableForm" style="margin:10px;width:895px !important;">
						<tr>
							<td class="tdLabel">
								<label>Tipo:</label>
							</td>
							
							<td class="tdLabel">
								<label>Prioridad:</label>
							</td>
							
							<td class="tdLabel">
								<label>Fecha Recepci&oacute;n:</label>
							</td>
							
						</tr>
						<tr>
							<td class="tdElement">
								<select class="tm" name="nbTipo" id="nbTipo"  onchange="mostrarPrioridad(this.value);">
								</select>
							</td>
							
							<td class="tdElement">
								<input type="text" name="nbPrioridad" id="nbPrioridad" class="form-control tm" value="" disabled />
								<input type="hidden" name="cdPrioridad" id="cdPrioridad" class="form-control tm" value="" disabled />
							</td>
							
							<td class="tdElement">
								<input type="text" name="fhRecepcionReq" id="fhRecepcionReq" class="form-control date tm" data-formatter="formatterDate" data-filter-control="datepicker" >
							</td>
						</tr>
					</table>
				</div>
				</div>
			</div>
			<table class="tableForm">
				<tr>
	  				<td style="text-align:right;padding-top:10px; width:*;">
	  					<button id="btnNuevo" value="btnNuevo" name="btnNuevo" class="btn btn-primary btn-sm btn-100" type="button" style="display:none;">Nuevo</button>
	  					<button id="btnCleanScreen" value="btnCleanScreen" name="btnCleanScreen" class="btn btn-primary btn-sm btn-100" type="button" >Limpiar</button>						
						<button id="btnGuardar" name="btnGuardar" class="btn btn-primary btn-sm btn-100" type="button" style="display:none;">Guardar</button>
						<!--
					    <label id="lblImportar" for="btnImportar" class="btn btn-primary btn-sm btn-100" style="width:150px;">
					    	Importar Archivo
					    	<input type="file" class="form-control-file" id="btnImportar" onchange="importarXML()" style="display:none;">
					    </label>
					     -->					    
					</td>
					<td style="text-align:right;padding-top:10px; width:160px; ">
						<div id="divBtnImportarOk"><input id="btnImportar" type="file"></div>
						<!--
						<div id="divBtnImportarTmp">
							<button id="btnTmpImportar" name="btnTmpImportar" class="btn btn-primary btn-sm btn-100" type="button">Importar</button>
						</div>
						 -->
						<!--<input type="file" class="file" id="btnImportar" style="width:150px;" /> -->
					</td>
					<!--					
					<td style="text-align:right;padding-top:10px; width:160px;">
						<button id="btnAdjuntarArchivos" name="btnAdjuntarArchivos" class="btn btn-primary btn-sm btn-120" type="button" style="display:none;">Adjuntar Archivos</button>
					</td>
					-->
				</tr>
				<tr>
					<td>
						<div>			
						</div>
		            </td>				
				</tr>
			</table>	
			<br>
				<div class="panel panel-primary" style="padding:0px;margin:0px;">
				<div class="panel-heading" style="padding-top:5px; text-align:left;">
					<a  data-parent="#contenedor"  style="color:white; text-align:center;">Requerimiento</a>
				</div>
				<div id="Requerimiento" class="panel-collapse collapse in">
				<div class="panel-body">
					<table class="tableForm" style="margin:10px;width:990px !important;">
						<tr>
							<td class="tdLabel" width="200px">
								<label>N&#250;mero Oficio:</label>
							</td>
							<td class="tdElement" width="250px">
								<input type="text" name="nuOficio" id="nuOficio" class="form-control tm .solo-numero">
							</td>
							<td class="tdLabel"><label>Solicitud Espec&iacute;fica: </label></td>
							<td class="tdElement"></td>
								
						</tr>
						<tr>
						<td class="tdLabel">
								<label>N&#250;mero Expediente:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nuExpediente" id="nuExpediente" class="form-control tm" >
							</td>
							<td class="tdElement" rowspan="8">
							
								<div class="panel-body" >
									<textarea name="nbSolicitudEspecifica" id="nbSolicitudEspecifica" rows="20" cols="40"  class="form-control noresize text-uppercase" style="resize: none;"></textarea>
								</div>
							</td>
						</tr>
						<tr>
							<td class="tdLabel">
								<label>Folio:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nuFolio" id="nuFolio" class="form-control tm" >
							</td>
						</tr>
						<tr>
						<td class="tdLabel">
								<label>Descripci&oacute;n:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nbDescripcion" id="nbDescripcion" class="form-control tm" >
							</td>
						</tr>
					
						<tr>
							<td class="tdLabel">
								<label>Fecha Publicaci&oacute;n:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="fhPublicacion" id="fhPublicacion" class="form-control date tm" data-format="formatterDate" data-filter-control="datepicker"  >
							</td>
						</tr>
						<tr>
						<td class="tdLabel">
								<label>D&iacute;as Plazo:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nuDiasPlazo" id="nuDiasPlazo" class="form-control tm" >
							</td>
						</tr>
					
						<tr>
							<td class="tdLabel">
								<label>Autoridad:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nbAutoridad" id="nbAutoridad" class="form-control tm"  >
							</td>
							
							
						</tr>
						<tr>
						<td class="tdLabel">
								<label>Referencia:</label>
							</td>
							<td class="tdElement">
								<input type="text" name="nbReferencia" id="nbReferencia" class="form-control tm" >
							</td>
						</tr>
						
						<tr>
							<td class="tdLabel">
								<label>Tiene Aseguramiento:</label>
							</td>
							<td class="tdElement">
								<!-- <input type="text" name="nbAseguramiento" id="nbAseguramiento" class="form-control tm" >-->
								<select class="tm" name="nbAseguramiento" id="nbAseguramiento" >
								</select>								
								
							</td>
							
						</tr>
					</table>
					
				</div>
				</div>
			</div>		
			<br/>
			<br/>
				<table class="tableForm">
					<tr>					
						<td style="text-align:right;padding-top:10px;">
							<button id="btnLocalizacionCliente" name="btnLocalizacionCliente" class="btn btn-primary btn-sm btn-100" type="button" >Buscar</button>
							<button id="btnAgregar" name="btnAgregar" class="btn btn-primary btn-sm btn-100" type="button" >Agregar</button>
						</td>
					</tr>
				</table>				
				<br/>
				<div style=" text-align:left" id="titlePersonasReportadas">
					<div >
						<table width="100%">
							<tr>
							
								<td  style="text-align:left;background:linear-gradient(#0079c1, #00559d);padding-right:10px;padding-top:5px;padding-left:10px;width:250px;border-top-left-radius: 4px;border-top-right-radius: 4px;">
									<label class="control-label" style="color:white;text-align:center;">
										Personas Reportadas
									</label>
								</td>
							
						</tr>
						</table>
					</div>
				</div>				
				<div class="panel-body" id="PersonasReportadas">
					<div class="table-responsive">
						<!-- <input type="hidden" id="fhNacimientoHidden" class="form-control importe" name="fhNacimientoHidden">-->
						<!--<input type="hidden" class="date" name="date" id="date"/> -->
						<table class="table table-nonfluid" id="tablaPersonaReportada"
							data-detail-view="true"
							data-detail-formatter="formatterDetailPersonaReportada"
							data-filter-control="false" >
							<thead>
								<tr>
									<th data-field="nuId" data-sortable="true" data-visible="true" data-filter-control="input">ID</th>									
									<th data-field="nbTpPersona" data-sortable="true" data-visible="true" data-filter-control="input">Tipo Persona</th>
									<th data-field="nbNombre" data-sortable="true" data-visible="true" data-filter-control="input">Nombre</th>																				
									<th data-field="nbApPaterno" data-sortable="true" data-visible="true" data-filter-control="input">Ap.Paterno</th>
									<th data-field="nbApMaterno" data-sortable="true" data-visible="true" data-filter-control="input">Ap.Materno</th>		
									<th data-field="fhNacimiento" data-sortable="true" data-visible="true" data-formatter="formatterDate" data-filter-control="datepicker">Fecha Nacimiento</th> 
									<th data-field="cdRFC" data-sortable="true" data-visible="true" data-filter-control="input">RFC</th>
									<th data-field="cdTipologia" data-sortable="true" data-visible="true" data-filter-control="select">Tipolog&iacute;a</th>
									<th data-field="cdClienteBancomer" data-sortable="true" data-visible="true" data-filter-control="input">Cliente Bancomer</th>
									
									<th data-field="cdCaracter" data-sortable="true" data-visible="false" data-filter-control="input">Car&aacute;cter</th>
								 	<th data-field="nbDomicilio" data-sortable="true" data-visible="false" data-filter-control="input">Domicilio</th>								 
									<th data-field="nbComplementarios" data-sortable="true" data-visible="false" data-filter-control="input">Complementarios</th>
									<th data-field="nuCuenta" data-sortable="true" data-visible="false" data-filter-control="input">No. Cuenta</th>
									<th data-field="cdDictamen" data-sortable="true" data-visible="false" data-filter-control="input">Dictamen</th>
									<!--<th data-field="cdCliente" data-sortable="true" data-visible="false" data-filter-control="input">No. Cliente</th> -->									
									
									
									
									
									
									<th class="tdAcciones" style="width:100px !important;" data-field="acciones" data-events="actionEventsPersonasReportadas" data-formatter="formatterRegistroPersonasReportadas"></th>
								</tr>
							</thead>
						</table>					
					</div>
				</div>	
				<br/>
				<br/>
				<table class="tableForm">
					<tr>					
						<td style="text-align:right;padding-top:10px;">
							<button id="btnAdjuntarArchivos" name="btnAdjuntarArchivos" class="btn btn-primary btn-sm btn-120" type="button" style="display:none;">Adjuntar Archivos</button>
						</td>
					</tr>
				</table>				
				<br/>							
				<div style=" text-align:left" id="titleArchivosAdjuntos">
					<div >
						<table width="100%">
							<tr>
							
								<td  style="text-align:left;background:linear-gradient(#0079c1, #00559d);padding-right:10px;padding-top:5px;padding-left:10px;width:250px;border-top-left-radius: 4px;border-top-right-radius: 4px;">
									<label class="control-label" style="color:white;text-align:center;">
										Archivos Adjuntos
									</label>
								</td>
							
						</tr>
						</table>
					</div>
				</div>				
					<div class="table-responsive">
						<table class="tableForm table-nonfluid" id="tablaArchivosAdjuntos"
							   data-detail-view="false"							
							   data-filter-control="false" >
							<thead>
								<tr>
									<th data-field="cdFolioArchivo" data-sortable="true" data-filter-control="input">ID</th>
									<th data-field="cdExpediente" data-sortable="true" data-filter-control="input">No. Folio Archivo</th>
									<th data-field="nbTitulo" data-sortable="true" data-filter-control="input">Archivo</th>
									<th class="tdAcciones" style="width:100px !important;" data-field="acciones" data-events="actionEventsDownloadFile" data-formatter="formatterRegistroDescargaArchivo"></th>
								</tr>
							</thead>
						</table>					
					</div>				
				</div>
			</form>
			</div>	
<div class="modal fade" id="dialogComfirmaClienteRiesgo">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left">
	    	<div class="modal-body">
	        	<p>Los datos han sido Guardados</p>
	      	</div>
      		<div class="modal-footer">
		        <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" data-dismiss="modal" >Aceptar</button>
		     </div>
    	</div>
  	</div>
</div>

<div class="modal fade" id="dialogPersonaReportada">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left">
	    	<div class="modal-body">
	        	<p>Estimado usuario. &#191;Est&#225; seguro de eliminar el registro seleccionado ?</p>
	      	</div>
      		<div class="modal-footer">
		        <button type="button" id="btnOkDeletePR" class="btn btn-primary btn-100" data-dismiss="modal" data-dismiss="modal">Aceptar</button>
		        <button type="button" id="btnCancelDeletePR" class="btn btn-primary btn-100" data-dismiss="modal">Cancelar</button>
		     </div>
    	</div>
  	</div>
</div>

<div class="modal fade" id="dialogDeleteFile">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left">
	    	<div class="modal-body">
	        	<p>Estimado usuario. &#191;Est&#225; seguro de eliminar el archivo seleccionado ?</p>
	      	</div>
      		<div class="modal-footer">
		        <button type="button" id="btnOkDeleteFile" class="btn btn-primary btn-100" data-dismiss="modal" data-dismiss="modal">Aceptar</button>
		        <button type="button" id="btnCancelDeleteFile" class="btn btn-primary btn-100" data-dismiss="modal">Cancelar</button>
		     </div>
    	</div>
  	</div>
</div>

<div class="modal fade" id="dialogArchivoIncorrecto">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left">
	    	<div class="modal-body">
	        	<p>Tipo de archivo incorrecto</p>
	      	</div>
      		<div class="modal-footer">
		        <button type="button" class="btn btn-primary btn-100" data-dismiss="modal">Aceptar</button>
		     </div>
    	</div>
  	</div>
</div>


<!-- Modal agregar personas reportadas  -->
<div class="modal fade" id="agregarPersonaReportada">
	<form id="MSCAVE01011_Personas">
		<!-- <input type="hidden" class="nuId" name="date" id="txtNuIdTmp"/>-->
		<input type="hidden" name="nuIdHdn" id="nuIdHdn" class="form-control tm" value="" disabled />
		<input type="hidden" name="nuIndexHdn" id="nuIndexHdn" class="form-control tm" value="" disabled />
		<div class="modal-dialog" align="center">
	    	<div class="modal-content" align="left" style="width: 980px; padding: 10px;"> 
				<div class="modal-header" id="dPreliminar1" style="height: 50px; ">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Agregar Personas Reportadas</h4>
				</div>
				<div class="panel panel-primary" style="padding:0px;margin:0px; " id="personaReportada">
					<div id="datosPersonaReportada" >
						<div class="panel-body"  >
							<br/>
							<table class="tableForm" style="margin:10px;width:895px !important;" id="agrPersonaReportada" >
								<tr>
									<td class="tdLabel">
										<label>Tipo Persona:</label>
									</td>
									<td class="tdLabel">										
									</td>
									<td class="tdLabel">
									</td>
								</tr>	
								<tr>
									<td class="tdElement" style="text-align:left;width:299px;">
										<select class="tm" name="auxIdTipoP" id="auxIdTipoP">
										</select>
	  								</td>
									<td class="tdElement" style="text-align:left;width:299px;">										
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">
									</td>
								</tr>														
								<tr>
									<td class="tdLabel">
										<label>Nombre / Raz&oacute;n Social:</label>
									</td>
									<td class="tdLabel">
										<label>Apellido Paterno:</label>
									</td>
									<td class="tdLabel">
										<label>Apellido Materno:</label>
									</td>
								</tr>
								<tr>
									<td class="tdElement" style="text-align:left; width:299px;">
										<input type="text" name="auxNombre" id="auxNombre" class="form-control tm">
										<input type="text" name="auxRazonSocial" id="auxRazonSocial" class="form-control tm">
	 								</td>
									<td class="tdElement" style="text-align:left; width:299px;">
										<input type="text" name="auxAP" id="auxAP" class="form-control tm">
									</td>
									<td class="tdElement" style="text-align:left;width:298px;">
										<input type="text" name="auxAM" id="auxAM" class="form-control tm">
									</td>
								</tr>
								<tr>
						        	<td class="tdLabel">
										<label>Fecha Nacimiento:</label>
									</td>
									<td class="tdLabel">
										<label>Domicilio:</label>
									</td>
									<td class="tdLabel">
										<label>Tipolog&iacute;a:</label>
									</td>
								</tr>
								<tr>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxFechaN" id="auxFechaN" class="form-control date tm" data-filter-control="datepicker">
	  								</td>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxDom" id="auxDom" class="form-control tm">
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">
										<select class="tm" name="auxTipologia" id="auxTipologia">
										</select>									
									</td>
								</tr>
								<tr>
						        	<td class="tdLabel">
										<label>RFC:</label>
									</td>
									<td class="tdLabel">
										<label>Car&aacute;cter:</label>
									</td>
									<td class="tdLabel">
										<label>&#191; Es cliente Bancomer ?</label>
									</td>
								</tr>
								<tr>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxRFC" id="auxRFC" class="form-control tm">
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxCaracter" id="auxCaracter" class="form-control tm">										
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">	
										<table class="tableForm" style="margin:10px;width:298px !important;">
											<tr>
												<td class="tdElement" width="5px">
													<input type="radio" name="esCliente" id="SI" class="form-control" value="SI" onclick="" checked/><label for="SI"></label>
												</td>
												<td class="tdElement" width="50px">
													<label style="text-align:left">&nbsp;SI</label>
												</td>
												<td class="tdElement" width="5px">	
													<input type="radio" name="esCliente" id="NO" class="form-control" value="NO" /><label for="NO"></label>
												</td>
												<td class="tdElement">
													<label>&nbsp;NO</label>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
						          	<td class="tdLabel">
										<label>N&uacute;mero Cliente:</label>
									</td>
									<td class="tdLabel">
										<label>N&uacute;mero Cuenta:</label>
									</td>
									<td class="tdLabel">
										<label id="lblDictamenAddPersona">Dictamen:</label>
									</td>
								</tr>
								<tr>
									<td class="tdElement" style="text-align:left;width:299px; background-color:white;">
										<input type="text" name="auxNumCli" id="auxNumCli" class="form-control tm">
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxNumCuenta" id="auxNumCuenta" class="form-control tm">										
									</td>
									<td class="tdElement" style="text-align:left;width:299px;">
										<input type="text" name="auxDictamen" id="auxDictamen" class="form-control tm">										
									</td>
								</tr>
								<tr>
						        	<td class="tdLabel">
										<label>Complementarios:</label>
									</td>
									<td class="tdLabel" colspan="2">
										
									</td>
								</tr>
								<tr>
									<td class="tdElement" style="text-align:left;width:100%;" colspan="3">
										<!-- <input type="text" style="text-align:left;width:750px; name="auxComp" id="auxComp" class="form-control tm">-->
										<textarea name="auxComp" id="auxComp" rows="2" cols="87"  class="form-control noresize text-uppercase" style="resize: none;"></textarea>										
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>
	      		<div class="modal-footer">
	      			<button id ="btnEditgregarPersona" name="btnEditAgregarPersona" class="btn btn-primary btn-sm btn-100" type="button">Aceptar</button>
			        <button id ="btnAgregarPersona" name="btnAgregarPersona" class="btn btn-primary btn-sm btn-100" type="button">Aceptar</button>
			        <!-- <button id ="btnCancelarPersonaRep" type="button" class="btn btn-primary btn-100" data-dismiss="modal">Cancelar</button>-->
			     </div>
	    	</div>
	  	</div>
	  </form>
</div>

<!-- Modal Archivos Adjuntos  -->
<div class="modal fade" id="divPplArchivosAdjuntos">

	<form id="MSCAVE01011_ArchivosAdjuntos" enctype="multipart/form-data" action="javascript:submitAdjuntarArchivo()" >
		<div class="modal-dialog" align="center">
	    	<div class="modal-content" align="left" style="width: 800px; padding: 10px;"> 
	    		<!--
	    		<div class="modal-header" style="height:50px;">
			        <button type="button" class="close" data-dismiss="modal">&times;</button>
			        <h4 class="modal-title">Detalle Operaciones Medianas</h4>
		      	</div>
		      	--> 	      	
				<div class="modal-header" id="dArchivosAdjuntosTitle" style="height: 50px; ">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Archivos Adjuntos</h4>
				</div>
				<div class="modal-body" id="contenedor">				 
					<div class="panel panel-primary" style="padding:0px;margin:0px;">
						<div class="panel-body">
							<br/>
							<div class="error msg" id="mensajeErrorArchivoModal" hidden="true">
								<label id="mensajeErrorArchivo" style="color:#C8175E;"></label>
							</div>
	                        <div class="success msg" id="mensajeExitoArchivoModal" hidden="true">
	                            <label id="mensajeExitoArchivo"></label>
	                        </div>							
															
							<table class="tableForm" id="tablaArchivosAdjuntos"
							data-detail-view="false"							
							data-filter-control="false" >
								<tr>
									<td class="tdLabel"  style="text-align:right !important; width:25%;">
									</td>
									<td class="tdLabel"  style="text-align:center !important; width:50%;" >
											<input type="file" multiple data-min-file-count="1" id="btnAttachment" />
									</td>
									<td class="tdLabel"  style="text-align:left !important; width:25%;">
									</td>																	
								</tr>
								<tr>
									<td class="tdLabel"  style="text-align:center !important; colspan="3" >
										<div>
										<br/>
										</div>
									</td>								
								</tr>
								<tr>									
									<td class="tdLabel"  style="text-align:right !important; width:200px;">										
									</td>		
									<td class="tdLabel"  style="text-align:right !important; width:200px;" >
										<table class="tableForm" id="tablaArchivosAdjuntos">
											<tr>
												<td class="tdLabel"  style="text-align:right !important; width:45%;" >
													<button id="btnUploadFile" name="btnUploadFile" class="btn btn-primary btn-sm btn-120" type="submit" >Subir Archivo</button>												
												</td>
												<td class="tdLabel"  style="text-align:center !important; width:10%;" >
												</td>
												<td class="tdLabel"  style="text-align:left !important; width:45%;" >
													<button id="btnCancelUpload" name="btnCancelUpload" class="btn btn-primary btn-sm btn-120" type="reset" >Cancelar</button>
												</td>												
											</tr>											
										</table>

									</td>																		
									<td class="tdLabel"  style="text-align:left !important; width:200px;" >										
									</td>	
								</tr>
							</table>
							<br/>
							<br/>
							<br/>
							<br/>
							<table>
								<tr>
									<td style="text-align:right; width:940px;">
										<button type="button" class="btn btn-primary btn-100" data-dismiss="modal">Cerrar</button>
										<br/>
									</td>
								</tr>
							</table>						
						</div>					
					</div>					
				</div>				
	    	</div>
	  	</div>
	  </form>
</div>
		
<div class="modal fade" id="MSCAVE01008" style="width:900px;"></div>
<div class="modal fade" id="MSCAVE01011_1" style="width:900px;"></div>
<div class="modal fade" id="divPplArchivosAdjuntos" style="width:900px;"></div>

<script src="../js/vendor/jquery-validate/jquery.validate.js"></script>
<link rel="stylesheet" href="../css/fileinput.css">
<script src="../js/fileinput.js"></script>
<!--<script src="../js/jquery-validate.bootstrap-tooltip.js"></script> -->  
<script src="../js/MSCAVE01011.js"></script>

  